import { reactive, ref } from "vue";
import * as gitee from '@/service/gitee'

export default function useMenu() {
  const menus = reactive([])
  const curMenu = ref()

  const getMenus = (user, repo = 'my-note') => {
    return gitee.getFiles(user, '', repo).then(res => {
      menus.push(...res)
    })
  }

  return {
    curMenu,
    menus,
    getMenus,
  }
}
