import { createApp } from 'vue'
import Antd from 'ant-design-vue';
import VueSimpleContextMenu from 'vue-simple-context-menu';
import 'vue-simple-context-menu/dist/vue-simple-context-menu.css';
import 'ant-design-vue/dist/antd.css';
import 'nprogress/nprogress.css'
import App from './App.vue'
import router from './route'
import store from './store'


const app = createApp(App)
app.use(store)
app.use(router)
app.use(Antd)
app.component('vue-simple-context-menu', VueSimpleContextMenu);
app.mount('#app')
